%define upstream_name    ExtUtils-LibBuilder
%define upstream_version 0.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A tool to build C libraries
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/ExtUtils/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CBuilder) >= 0.230.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Build) >= 0.420.0
BuildRequires: perl(Test::More)
BuildRequires: perl-devel
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build CFLAGS="%{optflags}"

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jan 24 2025 tv <tv> 0.90.0-1.mga10
+ Revision: 2141814
- update to 0.09

* Sun Mar 20 2022 umeabot <umeabot> 0.80.0-5.mga9
+ Revision: 1803514
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.80.0-4.mga8
+ Revision: 1494462
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.80.0-3.mga7
+ Revision: 1267878
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-2.mga6
+ Revision: 1027203
- Rebuild for perl 5.22.2

* Sat Jan 16 2016 shlomif <shlomif> 0.80.0-1.mga6
+ Revision: 923910
- Add missing BR
- update to 0.08

* Mon Sep 28 2015 sander85 <sander85> 0.70.0-1.mga6
+ Revision: 884591
- update to 0.07

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-3.mga5
+ Revision: 744240
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-2.mga5
+ Revision: 684683
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 sander85 <sander85> 0.60.0-1.mga5
+ Revision: 670627
- update to 0.06

* Sun Aug 31 2014 sander85 <sander85> 0.50.0-1.mga5
+ Revision: 670085
- update to 0.05

* Fri Oct 18 2013 umeabot <umeabot> 0.40.0-3.mga4
+ Revision: 511455
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.40.0-2.mga3
+ Revision: 367022
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 0.40.0-1.mga1
+ Revision: 22407
- cleaning spec file
- imported package perl-ExtUtils-LibBuilder

